Skip to main content

Retrieve a Cost Center

Endpoint​

GET https://api.verifik.co/v2/cost-centers/{id}

Returns one cost center on your account, including its code, country, and whether it is active.

headers​

NameValue
Content-Typeapplication/json
AuthorizationBearer <token>

path parameters​

id​

Type: string
Required: Yes

The cost center id returned when you created it.

Request Example​

curl "https://api.verifik.co/v2/cost-centers/6acfbdda92451bac5d0a7ebe" \
-H "Authorization: Bearer $VERIFIK_TOKEN"

Response Example​

{
"data": {
"_id": "6acfbdda92451bac5d0a7ebe",
"client": "69c2b824295cd7d276e478ad",
"name": "Spain operations",
"code": "SPAIN-OPS",
"country": "ES",
"active": true,
"createdAt": "2026-10-14T17:37:30.469Z",
"updatedAt": "2026-10-14T17:37:30.469Z"
}
}

data is the cost center object.

Error Responses​

{
"message": "cost_center_not_found",
"code": "NotFound"
}